package com.nasc.custom.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import javax.validation.constraints.NotBlank;
import java.util.Date;

/**
 * @Author: Yujianq
 * @Date: 2024/6/4 16:03
 * @Description: 一次性告知单打印表
 * @return:
 */
public class NascPrint {

    /** 打印单ID */
    private Long id;

    /** 事项所属ID */
    private Long matterId;

    /** 打印内容：受理通知单 */
    private String content;

    /** 打印内容：补正材料告知书 */
    private String missContent;

    /** 打印内容：不予受理通知书 */
    private String denyContent;

    /** 打印内容：一次性告知单 */
    private String disposableContent;

    /** 打印人员ID */
    private Long printBy;

    /** 打印时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date printTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getMatterId() {
        return matterId;
    }

    public void setMatterId(Long matterId) {
        this.matterId = matterId;
    }

    @NotBlank(message = "打印内容不能为空")
    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getMissContent() {
        return missContent;
    }

    public void setMissContent(String missContent) {
        this.missContent = missContent;
    }

    public String getDenyContent() {
        return denyContent;
    }

    public void setDenyContent(String denyContent) {
        this.denyContent = denyContent;
    }

    public Long getPrintBy() {
        return printBy;
    }

    public void setPrintBy(Long printBy) {
        this.printBy = printBy;
    }

    public String getDisposableContent() {
        return disposableContent;
    }

    public void setDisposableContent(String disposableContent) {
        this.disposableContent = disposableContent;
    }

    public Date getPrintTime() {
        return printTime;
    }

    public void setPrintTime(Date printTime) {
        this.printTime = printTime;
    }
}
